## com.ibm.lab.soln.sqleditor.utils
Class ColorProvider

    java.lang.Object
      |
      +--com.ibm.lab.soln.sqleditor.utils.ColorProvider

public class ColorProvider
extends java.lang.Object

Colors used in the SQL editor

Field Summary
`static org.eclipse.swt.graphics.RGB` | `BACKGROUND`
`static org.eclipse.swt.graphics.RGB` | `DEFAULT`
`protected java.util.Map` | `fColorTable`
`static org.eclipse.swt.graphics.RGB` | `KEYWORD`
`static org.eclipse.swt.graphics.RGB` | `MULTI_LINE_COMMENT`
`static org.eclipse.swt.graphics.RGB` | `SINGLE_LINE_COMMENT`
`static org.eclipse.swt.graphics.RGB` | `SQL_CODE_DEFAULT`
`static org.eclipse.swt.graphics.RGB` | `SQL_CODE_KEYWORD`
`static org.eclipse.swt.graphics.RGB` | `SQL_CODE_TAG`
`static org.eclipse.swt.graphics.RGB` | `STRING`
`static org.eclipse.swt.graphics.RGB` | `TYPE`

Constructor Summary
`ColorProvider()`

Method Summary
`void` | `dispose()` Method disposes of the colors.
`org.eclipse.swt.graphics.Color` | `getColor(org.eclipse.swt.graphics.RGB rgb)` A getter method that returns a color.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BACKGROUND

    public static final org.eclipse.swt.graphics.RGB BACKGROUND

### DEFAULT

    public static final org.eclipse.swt.graphics.RGB DEFAULT

### fColorTable

    protected java.util.Map fColorTable

### KEYWORD

    public static final org.eclipse.swt.graphics.RGB KEYWORD

### MULTI_LINE_COMMENT

    public static final org.eclipse.swt.graphics.RGB MULTI_LINE_COMMENT

### SINGLE_LINE_COMMENT

    public static final org.eclipse.swt.graphics.RGB SINGLE_LINE_COMMENT

### SQL_CODE_DEFAULT

    public static final org.eclipse.swt.graphics.RGB SQL_CODE_DEFAULT

### SQL_CODE_KEYWORD

    public static final org.eclipse.swt.graphics.RGB SQL_CODE_KEYWORD

### SQL_CODE_TAG

    public static final org.eclipse.swt.graphics.RGB SQL_CODE_TAG

### STRING

    public static final org.eclipse.swt.graphics.RGB STRING

### TYPE

    public static final org.eclipse.swt.graphics.RGB TYPE

Constructor Detail

### ColorProvider

    public ColorProvider()

Method Detail

### dispose

    public void dispose()

  Method disposes of the colors.

### getColor

    public org.eclipse.swt.graphics.Color getColor(org.eclipse.swt.graphics.RGB rgb)

  A getter method that returns a color.
  Parameters:
    `rgb` -
  Returns:
    Color